org.apache.http.io

## Interface HttpMessageParserFactory<T extends HttpMessage>

All Known Implementing Classes:
  DefaultHttpRequestParserFactory, DefaultHttpResponseParserFactory

    public interface HttpMessageParserFactory<T extends HttpMessage>

Factory for `HttpMessageParser` instances.

Since:
  4.3

### Method Summary

Methods
`HttpMessageParser<T>` `create(SessionInputBuffer buffer, MessageConstraints constraints)`

### Method Detail

#### create

    HttpMessageParser<T> create(SessionInputBuffer buffer,
                              MessageConstraints constraints)